{% extends 'base.html' %}

{% load i18n %}
{% load widget_tweaks %}
{% load crispy_forms_tags %}
{% load static %}

{% block custom_js %}

<script src="{% static '/js/star-rating.js' %}" type="text/javascript"></script>
<script>
    // Manipulates the rating field in the form to display as stars.
    var Rating = document.getElementById('id_rating');
    Rating.type = "hidden";
    Rating.setAttribute("data-stop","100")
    Rating.setAttribute("data-step","20")
    Rating.className = "rating";

    $("#id_rating").rating()
    var p = document.getElementsByTagName("span")[6]
    p.className = "ratingstar";


</script>
{%endblock%}


{% block content %}
<form class="form-horizontal" action="" method="post">
  {% csrf_token %}
  {% include 'hotel/form-template.html'%}
  <div class="form-group">
    <div class="col-sm-offset-2 col-sm-10">
      <button type="submit" class="btn btn-success">submit</button>
    </div>
  </div>
  </form>
  
{% endblock %}
